package de.ozgcloud.document.bescheid.smartdocuments;

import org.bouncycastle.util.encoders.Base64;

import de.ozgcloud.document.bescheid.smartdocuments.SmartDocumentsProperties.UsernamePassword;

public class UsernamePasswordTestFactory {

	public static final String USERNAME = "max";
	public static final String PASSWORD = "max123";

	public static UsernamePassword create() {
		var usernamePassword = new UsernamePassword();
		usernamePassword.setUsername(USERNAME);
		usernamePassword.setPassword(PASSWORD);
		return usernamePassword;
	}

	public static String getAsBasicAuthenticationHeader() {
		var base64EncodedAuth = new String(Base64.encode(
				(UsernamePasswordTestFactory.USERNAME + ":" + UsernamePasswordTestFactory.PASSWORD).getBytes()));

		return "Basic " + base64EncodedAuth;
	}

}
